SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:idref

fn:idref(string* $srcval) → node()*

Function signature

$srcval | xs:string *
Result | node() *

Finds the nodes that link to the element with a given ID value. These will be element or attribute nodes marked by virtue of schema or DTD validation as IDREF or IDREFS values.

XPath 2.0 Specification

fn:idref(string* $srcval, node() $doc) → node()*

Function signature

$srcval | xs:string *
Result | node() *

Finds the elements that link to the element with a given ID value. These will be element or attribute nodes marked by virtue of schema or DTD validation as IDREF or IDREFS values.

XPath 2.0 Specification

Next